#ifndef BONNIE
#define BONNIE

#define BON_VERSION "0.96"
#if defined(_AIX) && !defined(__GNUC__)
#define bool int
#define false 0
#define true 1
#endif

// million files (7) + up to 12 random extra chars
#define RandExtraLen (12)
#define MaxNameLen (7 + RandExtraLen)
#define Seeks (4000)
#define UpdateSeek (10)
#define SeekProcCount (3)
#define ChunkBits (13)
#define Chunk (1 << ChunkBits)
#define UnitBits (20)
#define Unit (1 << UnitBits)
#define CreateNameLen 6
#define DefaultFileSize 200
#define DefaultDirectorySize 30000

#define IntSize sizeof(int)

typedef const char * CPCHAR;
typedef char * PCHAR;
typedef const char * const CPCCHAR;
typedef void * PVOID;
typedef const void * CPVOID;
typedef const void * const CPCVOID;

enum tests_t
{
  Putc,
  ReWrite,
  FastWrite,
  Getc,
  FastRead,
  Lseek,
  CreateRand,
  CreateSeq,
  StatRand,
  StatSeq,
  DelRand,
  DelSeq,
  TestCount
} ;

int   io_error(CPCCHAR message, bool do_exit = false);

#endif
